Quantification tool - Feature #1449

Triggering quantity needed based on min. and max. months of stock
05/06/2015 05:59 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 05/06/2015
Priority: Immediate Due date: 03/21/2016
Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 4.0 Spent time: 0.00 hour
Description

Create an option to trigger the quantity needed for each medicine based on “months of stock” (minimum), in addition to existing
calculation based upon the stock out date.

Despite user could currently workout getting this information indirectly in the medicines detailed report, should be good having done
by the system with visual results.

History

#1 - 11/18/2015 01:59 AM - Luis Gustavo do Valle Bastos

- Target version changed from Version 3.0 to Version 4.0

#2 - 11/18/2015 05:36 AM - Luis Gustavo do Valle Bastos

- Priority changed from Normal to Low

#3 - 12/17/2015 12:23 PM - Luis Gustavo do Valle Bastos

- Priority changed from Low to Immediate

#4 - 01/27/2016 09:19 AM - Oleksii Kurasov

- Status changed from New to In Progress

#5 - 02/19/2016 08:20 PM - Luis Gustavo do Valle Bastos

- Subject changed from Triggering quantity needed based on min. months of stock to Triggering quantity needed based on min. and max. months of
stock

- Status changed from In Progress to Feedback

Based on the conference call on Feb-19-2016:
At "Parameters" tab:
- System allows min and max months of stock as zero.

- In this case system display standard warning message with title: "Do you want to continue?", Message: Minimum and/or Maximum months of stock
is zero, and buttons yes (selected as default) and no.

At the "Schedule" tab:
- Display the day for "Order date" and "Delivered date" in all tables
- Correct display of "Order date" and "Delivered date" as they are inverted

- Change labels in all tables (to be the same as in "Quantity and Cost" tab): "Quantity in units" to "Adjusted quantity to order (in units)", "Quantity in
packs" to "Adjusted quantity to order rounded up to pack size" and "Cost" to "Cost of the order"

- Change labels in all tables: "Total medicines" to "Cost of medicines”, "Additional cost" to "Additional costs" (in plural) and "Delivery total" to "Cost of
order"

- Change label "Delivery schedule" to "Schedule of deliveries"

- Include accelerated order in the "Schedule" tab with drop-down options: "All at once" and "Exactly”. It should be also calculated based on the min
and max months of stock.
- Option "All at once" must be calculated for the first day stock reaches the min months for any medicine.

- Export "Schedule" tab to Excel as displayed on the screen

#6 - 02/22/2016 12:51 PM - Luis Gustavo do Valle Bastos

Conference call on Feb-22-16:
- System allows min and max as zero, being displayed as a "dash" for user and meaning absence of value internally.

- Current rules of "min cannot be higher than max" do not apply for dash (zero), for instance we could have min as 1 and max as zero (dash). But the
rule still applies for any other value different of zero (dash) for min and max.

- Min as zero means the delivery date must be the day when the first medicine in stock reaches the stock-out point.
- Max as zero means that all medicines needs will be delivered "All at once".

- System must set up to zero and disable "Months of buffer stock" field at the parameters tab when "Min months of stock" field is set as different of
zero (dash) by user.

- Calculation of minimum months of stock must reflect the stock situation at the end of any month (not at the beginning of the month).

#7 - 03/03/2016 03:36 PM - Luis Gustavo do Valle Bastos
- Due date set to 03/09/2016

#8 - 03/21/2016 03:15 PM - Oleksii Kurasov
- Due date changed from 03/09/2016 to 03/21/2016

- Status changed from Feedback to Resolved

#9 - 03/21/2016 03:16 PM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#10 - 10/13/2016 06:57 PM - Andualem Oumer

- Status changed from Resolved to Closed

It is not based on the min
